

# PutConnectInstanceIntegration


Puts an integration for the Amazon Connect instance.

## Request Syntax


```
PUT /v2/connect-instance/connectInstanceId/integrations HTTP/1.1
Content-type: application/json

{
   "integrationConfig": { ... }
}
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_PutConnectInstanceIntegration-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body


The request accepts the following data in JSON format.

 ** [integrationConfig](#API_connect-outbound-campaigns-v2_PutConnectInstanceIntegration_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_PutConnectInstanceIntegration-request-integrationConfig"></a>
The integration configuration for the Amazon Connect instance  
Type: [IntegrationConfig](API_connect-outbound-campaigns-v2_IntegrationConfig.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of a conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/PutConnectInstanceIntegration) 